qpid::sys::Condition Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
qpid::sys::Condition Class Reference

A condition variable for thread synchronization. More...

`#include <qpid/sys/posix/Condition.h>`

List of all members.

## Public Member Functions
| Condition ()
| ~Condition ()
void | wait (Mutex &)
bool | wait (Mutex &, const AbsTime &absoluteTime)
void | notify ()
void | notifyAll ()
| Condition ()
| ~Condition ()
void | wait (Mutex &)
bool | wait (Mutex &, const AbsTime &absoluteTime)
void | notify ()
void | notifyAll ()

## Detailed Description

A condition variable for thread synchronization.

Definition at line 40 of file Condition.h.

## Constructor & Destructor Documentation

qpid::sys::Condition::Condition | ( |  | ) | `[inline]`

Definition at line 54 of file Condition.h.

References QPID_POSIX_ASSERT_THROW_IF.

qpid::sys::Condition::~Condition | ( |  | ) | `[inline]`

Definition at line 58 of file Condition.h.

References QPID_POSIX_ABORT_IF.

qpid::sys::Condition::Condition | ( |  | ) | `[inline]`

qpid::sys::Condition::~Condition | ( |  | ) | `[inline]`

## Member Function Documentation

void qpid::sys::Condition::notify | ( |  | ) | `[inline]`

Definition at line 77 of file Condition.h.

References QPID_POSIX_ASSERT_THROW_IF.

void qpid::sys::Condition::notify | ( |  | ) | `[inline]`

void qpid::sys::Condition::notifyAll | ( |  | ) | `[inline]`

Definition at line 81 of file Condition.h.

References QPID_POSIX_ASSERT_THROW_IF.

void qpid::sys::Condition::notifyAll | ( |  | ) | `[inline]`

void qpid::sys::Condition::wait | ( | Mutex & |  | ) | `[inline]`

void qpid::sys::Condition::wait | ( | Mutex & | mutex | ) | `[inline]`

Definition at line 62 of file Condition.h.

References QPID_POSIX_ASSERT_THROW_IF, and qpid::sys::Mutex::mutex.

bool qpid::sys::Condition::wait | ( | Mutex & | mutex,
|  | const AbsTime & | absoluteTime
| ) |  | `[inline]`

Definition at line 66 of file Condition.h.

References qpid::sys::toTimespec(), qpid::sys::EPOCH, qpid::sys::Mutex::mutex, and QPID_POSIX_ERROR.

bool qpid::sys::Condition::wait | ( | Mutex & | ,
|  | const AbsTime & | absoluteTime
| ) |  | `[inline]`

The documentation for this class was generated from the following files:

- qpid/sys/posix/Condition.h
- qpid/sys/windows/Condition.h